package com.ruoyi.cms.controller.cms;

import com.ruoyi.cms.domain.BussinessDictType;
import com.ruoyi.cms.domain.query.Staticsquery;
import com.ruoyi.cms.service.StaticsqueryService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cms/statics")
public class StaticsController extends BaseController {
    @Autowired
    private StaticsqueryService service;
    //分行业趋势分析
    @GetMapping("/industry")
    public AjaxResult  industry(Staticsquery staticsquery)
    {
        Map<String,Object> result = service.industry(staticsquery);
        return success(result);
    }
    //分行业趋势分析
    @GetMapping("/industryGen")
    public AjaxResult  industryGen()
    {
        service.industryGen();
        return success();
    }
    //分行业趋势分析
    @GetMapping("/industryAreaGen")
    public AjaxResult  industryAreaGen()
    {
        service.areaGen();
        return success();
    }
    //分行业趋势分析
    @GetMapping("/salaryGen")
    public AjaxResult  salarysalaryGen()
    {
        service.salarysalaryGen();
        return success();
    }
    @GetMapping("/salary")
    public AjaxResult  salary(Staticsquery staticsquery)
    {
        Map<String,Object> result = service.salary(staticsquery);
        return success(result);
    }
    @GetMapping("/industryArea")
    public AjaxResult  industryArea(Staticsquery staticsquery)
    {
        Map<String,Object> result = service.industryArea(staticsquery);
        return success(result);
    }
    //分行业趋势分析
    @GetMapping("/workYearGen")
    public AjaxResult  workYearGen()
    {
        service.workYearGen();
        return success();
    }
    @GetMapping("/workYear")
    public AjaxResult  workYear(Staticsquery staticsquery)
    {
        Map<String,Object> result = service.workYear(staticsquery);
        return success(result);
    }
    //分行业趋势分析
    @GetMapping("/educationGen")
    public AjaxResult  educationGen()
    {
        service.educationGen();
        return success();
    }
    @GetMapping("/education")
    public AjaxResult  education(Staticsquery staticsquery)
    {
        Map<String,Object> result = service.education(staticsquery);
        return success(result);
    }

    //分学历-分薪资
    @GetMapping("/educationSalaryGen")
    public AjaxResult  educationSalaryGen()
    {
        service.educationSalaryGen();
        return success();
    }

    @GetMapping("/educationSalary")
    public AjaxResult  educationSalary(Staticsquery staticsquery)
    {
        Map<String,Object> result = service.educationSalary(staticsquery);
        return success(result);
    }
}
